import { z } from 'zod';


const ImmutableFileDescriptor = z.object({
                                             description: z.string().optional(),
                                             path       : z.string(),
                                             isDirectory: z.boolean().optional()
                                         });


type ImmutableFileDescriptor = z.infer<typeof ImmutableFileDescriptor>;


export default ImmutableFileDescriptor;