enum GitlabRoute {
    NOTIFICATION_SETTINGS       = '/notification_settings',
    PROFILE_GET                 = '/user',
    USERS_GET                   = '/users',
    REPOSITORY_GET              = '/projects/{{id}}',
    REPOSITORY_CREATE           = '/projects', // eslint-disable-next-line @typescript-eslint/no-duplicate-enum-values
    REPOSITORY_DELETE           = '/projects/{{id}}', // eslint-disable-next-line @typescript-eslint/no-duplicate-enum-values
    REPOSITORY_EDIT             = '/projects/{{id}}',
    REPOSITORY_FORK             = '/projects/{{id}}/fork',
    REPOSITORY_MEMBER_ADD       = '/projects/{{id}}/members',
    REPOSITORY_MEMBERS_GET      = '/projects/{{id}}/members/all',
    REPOSITORY_RELEASES_GET     = '/projects/{{id}}/releases',
    REPOSITORY_BADGES_ADD       = '/projects/{{id}}/badges',
    REPOSITORY_VARIABLES_ADD    = '/projects/{{id}}/variables',
    REPOSITORY_BRANCHES_PROTECT = '/projects/{{id}}/protected_branches',
    REPOSITORY_TREE             = '/projects/{{id}}/repository/tree',
    REPOSITORY_FILE             = '/projects/{{id}}/repository/files/{{filePath}}',
    REPOSITORY_PIPELINES        = '/projects/{{id}}/pipelines',
}


export default GitlabRoute;